button{
	font-size: 16px;
	vertical-align: top;
}
body{
	overflow: hidden;
}
#loading{
	background-color: #FFF;
	text-align: center;
	padding: 150px 0px;
	border-radius: 15px;
	margin: 10px;
}
/*-----文本內部小按鈕-----*/
.mix-play-btn{
	background:url(../image/button-play.png);
	width:46px;
	height:46px;
	background-repeat: no-repeat;
}
.mix-play-btn:hover{
	background:url(../image/button-play-hover.png);
}
.playing.mix-play-btn{
	background:url(../image/button-stop.png);
}
.mix-noplay-btn{
	visibility: hidden;
}
.mix-chinese-btn{
	background:url(../image/button-show.png);
	width:36px;
	height:36px;
	background-repeat: no-repeat;
	display:inline-block;
	margin-top: 20px;
}
.mix-chinese-btn:hover{
	background:url(../image/button-show-hover.png);
	background-repeat: no-repeat;
}
.showing.mix-chinese-btn{
	background:url(../image/button-hide.png);
	background-repeat: no-repeat;
}
.showing.mix-chinese-btn:hover{
	background:url(../image/button-hide-hover.png);
	background-repeat: no-repeat;
}

/*-----投影片左右-----*/
.set {
	display: none;
	padding: 5px 0px 15px;
}
#mix-arrow{
	display: none;
	height: 50px;
}
#mix-arrow-left, #mix-arrow-right{
	width: 50px;
	height: 50px;
	position: absolute;
}
#mix-arrow-left{
	left: 20px;
	background:url(../image/button-prev.png);
}
#mix-arrow-left:hover{
	background:url(../image/button-prev-hover.png);
}
#mix-arrow-right{
	right: 20px;
	background:url(../image/button-next.png);
}
#mix-arrow-right:hover{
	background:url(../image/button-next-hover.png);
}
/*----------*/

#container{
	background-color: #fff;
	border-radius: 10px;
	padding:10px 0;
}
.set{
	padding:15px;
}
.options{
	padding-left: 35px
}
.options.imgOnly>div{
	width: 50%;
	display: inline-block;
}
.options.imgOnly .img{
	height: 200px;
/*	width: 200px;*/
	text-align: center;
}
.options.imgOnly img{
	border: 3px solid transparent;
}
.option:hover img, .option.select img{
	border-color: initial;
}
.question .img{
	height: 200px;
	line-height: 200px;
}
.question, .option{
	padding: 5px 0px;
	cursor: pointer;
}
.option .img{
	opacity: 0.5;
}
.option:hover{
	color: #9E9E9E;
}
.option.select{
	color: #03A9F4;
}
.option:hover .img, .option.select .img{
	opacity: 1;
}
/*.option-E.right{
	color: #E91E63;
}
.option-E.right  .img{
	border-color: #E91E63;
}*/
.question-inner, .option-inner{
	display: inline-block;
	font-size: 1.8em;
	width: 85%;
	vertical-align: top;
}
.question-inner.multi {
	width: calc(100% - 50px);
}
.option-inner{
	width: 85%;
}
.number {
	font-size: 1.8em;
	display: inline-block;
	width: 50px;
}
.img>img{
	width: 100%;
/*	height: 100%;*/
	max-height: 200px;
	max-width: 200px;
	vertical-align: middle;
}
.mix-img{
	text-align: center;
	margin: auto;
	width: 45%;
}
.mix-sentence {
	display: inline-block;
	font-size: 25px;
}
.mix-sentence.Ab {
	width: calc(100% - 80px);
	padding-left: 20px;
	padding-bottom: 20px;
	line-height: 30px;
	font-size: 2em;
}
.mix-sentence.Ch{
	width: calc(100% - 50px);
	visibility: hidden;
	font-size: 1em;
	color: #999;
	margin-top: 25px;
}
.mix-answer {
/*	visibility: hidden;*/
	display: none;
}
.mix-exam-mark {
	display: none;
	position: absolute;
	width: 150px;
	height: 150px;
	bottom: 50px;
	right: 150px;
	pointer-events: none;
}
.mix-exam-mark.right {
	display: block;
	background-image: url(../image/pic-right.png);
}
.mix-exam-mark.wrong {
	display: block;
	background-image: url(../image/pic-wrong.png);
}
.mix-match-place {
	min-height: 46px;
	border: 1px dashed;
	width: calc(100% - 80px);
	display: inline-block;
	margin: 0 10px 10px;
}
.mix-match-place.wrong {
    border: solid red;
}
/*--------族中版本-----------*/
.mix-match-place-double {
	width: calc(100% - 50px);
	display: inline-flex;
	margin: 1% 0;
}
.mix-match-place-ab, .mix-match-place-ch {
	margin: 0 1%;
}
/*--------------------------*/
.mix-match-place .mix-match-div {
	width: auto;
	height: 100%;
}
.mix-match-divs {
	margin-left: 55px;
}
.mix-match-div {
	width: calc(100% - 20px);
}
.mix-match-div.select {
	box-shadow: 0px 0px 5px #03A9F4;
}
.mix-match-div>.Ab {
	width: auto;
	padding: 10px;
	user-select: none;
}
.mix-answer-btn, .mix-submit-btn, .mix-next-btn, .mix-export-btn, .mix-retry-btn {
	font-size: 28px;
	margin: 15px 0;
	padding: 5px 15px;
}
.mix-all-btn {
	font-size: 26px;
	margin: 10px 0;
	padding: 5px 15px;
}
.mix-exam-btns {
	margin: 10px;
	text-align: center;
	border-top: 3px solid #a9a9a9; ;
}

.mix-write-box {
	display: none;
}
.mix-write-box:last-child .mix-next-btn {
	display: none;
}
.mix-export-btn {
}
.mix-retry-btn {
	display: none;
}
.mix-write {
	text-align: center;
	padding: 10px 0 15px;
}
.mix-write>textarea{
	width: 100%;
	height: 87px;
	resize: none;
	overflow: hidden;
	box-sizing: border-box;
	font-size: 16pt;
	font-family: "Times New Roman";
	text-align: left;
}
.set .mix-write-box:first-child {
	display: block;
}
/*-----連連看-----*/
.mix-lineMatch{
	display: flex;
}	
.mix-lm-ldiv {
	display: flex;
	align-items: center;
	max-width: 200px;
	min-height: 40px;
	padding: 5px 0;
}
.mix-lm-ldiv>*:first-child {
	margin: 0 5px 0 auto;
	text-align: right;
	font-size: 1.5em;
}
.mix-lm-ldiv .mix-play-btn{
	vertical-align: middle;
}
.mix-lm-point {
	font-size: initial;
	display: inline-block;
/*	line-height: 50px;*/
}
.mix-lm-ldiv.select .mix-lm-point, .mix-lm-rdiv.select .mix-lm-point{
	color:red;
}
.mix-lm-text {
	display: inline-block;
	vertical-align: middle;
	padding-left: 10px;
}
.mix-lm-rdiv {
	width: 100%;
	height: 50px;
	padding: 0;
	line-height: normal;
	font-size: 2em;
	white-space: nowrap;
}
/*-------AB區句子-------*/
.mix-sentence-box{
	display: flex;
}
.mix-sentence-boxA, .mix-sentence-boxB{
	width: 50%;
}
.mix-sentenceAB-num{
	font-size: 2em;
}
/*--------句子排序----------*/
.mix-arrow-down {
	font-size: 2em;
	text-align: center;
}
/*-----克漏字配對-------*/
.mix-sentence.Ab.cloze {
	line-height: 1.2em;
}
.mix-cloze-place {
	border: 1px solid #000;
	height: 36px;
	display: inline-block;
	vertical-align: text-top;
}
.mix-cloze-place:has(.mix-cloze-div), .mix-cloze-place .mix-cloze-div,  .mix-cloze-place .mix-sentence{
	display: inline;
}
.mix-cloze-div.select {
	box-shadow: 0px 0px 5px #03A9F4;
}
.mix-cloze-div>.Ab {
	width: auto;
	padding: 0px;
	user-select: none;
}
.mix-cloze-place>.mix-cloze-div>.Ab {
	font-size: 1em;
}
/*------詞序-------*/
.text_end,.qtext>ul{
	display: inline;
}
.text_end{
	font-size: 2em;
}
.items>li{
	display: inline-block;
    margin: 7px;
    padding: 7px;
    cursor: pointer;
    border-radius: 3px;
    background-color: white;
    font-size: 2.3em;
    border: 1px solid gray;
}
.ch{
	margin-top: 20px;
    font-size: 1.5em;
}
.ui-sortable-placeholder{
	vertical-align: top;
	background-color: gray;
}
.ui-sortable-disabled>li{
	cursor: default;
}
.items>li.red{
	background-color: red;
	color: white; 
}
/*------其他------*/
.red{
	color: red;
}
@media screen and (max-width: 1000px) {
	.question-inner {
		width: 100%;
	}
	.question-inner>div {
		display: inline-block;
		vertical-align: middle;
	}
	.question-inner>.sound {
		margin-right: 10px;
	}
	.question-inner>.ab {
		width: calc(100% - 80px);
	}
	.option-inner{
		width: calc(100% - 50px);
	}
	.question-inner.noSound>.ab {
		width: 100%;
	}
}
@media screen and (max-width: 768px) {
	.options {
		padding: 0;
	}
	.img>img{
		width: 95%;
	}
}
@media screen and (max-width: 480px) {
	.mix-sentence.Ab{
		font-size: 1.5em;
		padding: 0 3%;
	}
	.options.imgOnly > div {
		width: 100%;
	}
	.mix-exam-mark {
		right: 10px;
	}
	.mix-match-div {
		font-size: 10pt;
	}
	.mix-canvas {
		width: 35%;
	}
	.mix-lm-rdiv {
		font-size: 1.5em;
	}
	.mix-write {
		padding: 3% 0 5%;
	}
}